/* By request, here's 6 lines of C to turn the NumLock off */

typedef unsigned char (far *MEM );

/* Number lock function in C ---
 * Sets number lock to OFF
 * Assumes keyboard flag is at 0000:0417H in Model 60
 *	   Check your documentation and change
 *	   segment and offset below if not
 * Written by Fran Horvath.
 * Has no effect if NUMLOCK is already off.
 */

num_lock()
  {
  MEM charset = ( (MEM) ( 0x0000L << 16 ) ) + 0x0417L;
  *charset &= 0xDF ;	    /* Turns Num Lock off if on */
  }

main()
  {
  num_lock();
  }
